/*
---

name: Locale.de-DE.MooEditable

description: MooEditable messages for German.

license: MIT-style license

authors:
- André Fiedler <kontakt@visualdrugs.net>

requires:
- MooEditable
- more:1.3/Locale

provides: [Locale.de-DE.MooEditable]

...
*/

Locale.define('de-DE', 'MooEditable', {
    
	// MooEditable
	ok: 'OK',
	cancel: 'Abbrechen',
	bold: 'Fett',
	italic: 'Kursiv',
	underline: 'Unterstrichen',
	strikethrough: 'Durchgestrichen',
	unorderedList: 'Aufzählungszeichen',
	orderedList: 'Nummerierung',
	indent: 'Einzug vergrößern',
	outdent: 'Einzug verkleinern',
	undo: 'Rückgängig',
	redo: 'Wiederholen',
	removeHyperlink: 'Hyperlink entfernen',
	addHyperlink: 'Hyperlink hinzufügen',
	selectTextHyperlink: 'Bitte markieren Sie zuerst den zu verlinkenden Text.',
	enterURL: 'URL eingeben',
	enterImageURL: 'Bild URL eingeben',
	addImage: 'Image hinzufügen',
	toggleView: 'Ansicht umschalten',
	
	// MooEditable.Charmap
	insertCustomCharacter: 'Sonderzeichen einfügen',
	insertCharacter: 'Zeichen einfügen',
	
	// MooEditable.Extras
	blockFormatting: 'Block-Formatierung',
	paragraph: 'Absatz',
	heading1: 'Überschrift 1',
	heading2: 'Überschrift 2',
	heading3: 'Überschrift 3',
	alignLeft: 'Linksbündig ausrichten',
	alignRight: 'Rechtsbündig ausrichten',
	alignCenter: 'Zentriert ausrichten',
	alignJustify: 'Blocksatz',
	removeFormatting: 'Formatierung entfernen',
	insertHorizontalRule: 'Horizontale Linie einfügen',
	
	// MooEditable.Flash
	embed: 'Embedcode einfügen',
	flashEmbed: 'Flash Embed',
	
	// MooEditable.Forecolor
	changeColor: 'Farbe ändern',
	
	// MooEditable.Image
	imageAlt: 'alt',
	imageClass: 'class',
	imageAlign: 'Ausrichtung',
	imageAlignNone: 'none',
	imageAlignLeft: 'left',
	imageAlignCenter: 'center',
	imageAlignRight: 'right',
	addEditImage: 'Bild hinzufügen/bearbeiten',
	
	// MooEditable.Pagebreak
	pageBreak: 'Seitenumbruch',
	
	// MooEditable.Smiley
	insertSmiley: 'Smiley einfügen',
	
	// MooEditable.Table
	tableColumns: 'Spalten',
	tableRows: 'Zeilen',
	tableWidth: 'Breite',
	tableClass: 'class',
	tableType: 'type',
	tableHeader: 'Header',
	tableCell: 'Zelle',
	tableAlign: 'Ausrichtung',
	tableAlignNone: 'none',
	tableAlignCenter: 'center',
	tableAlignRight: 'right',
	tableValign: 'vertikale Ausrichtung',
	tableValignNone: 'none',
	tableValignTop: 'top',
	tableValignMiddle: 'middle',
	tableValignBottom: 'bottom',
	addTable: 'Tabelle einfügen',
	editTable: 'Tabelle bearbeiten',
	addTableRow: 'Tabellenzeile einfügen',
	editTableRow: 'Tabellenzeile bearbeiten',
	mergeTableRow: 'Tabellenzeilen verbinden',
	splitTableRow: 'Tabellenzeile teilen',
	deleteTableRow: 'Tabellenzeile löschen',
	addTableCol: 'Tabellenspalte einfügen',
	editTableCol: 'Tabellenspalte bearbeiten',
	mergeTableCell: 'Tabellenspalten verbinden',
	splitTableCell: 'Tabellenspalten teilen',
	deleteTableCol: 'Tabellenspalten löschen',
    
    // MooEditable.UI.ExtendedLinksDialog
    protocol: 'Protokoll',
    link: 'Link',
    email: 'E-Mail',
    urlWithoutHttp: 'URL (ohne http://)',
	window: 'Fenster',
    sameWindow: 'gleiches Fenster',
    newWindow: 'neues Fenster'
    
});